services:
    _defaults:
        public: true #because controller

    Claroline\AgendaBundle\Controller\EventController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
            - '@security.token_storage'
            - '@request_stack'
            - '@Claroline\AgendaBundle\Manager\EventManager'
            - '@Claroline\CoreBundle\Library\RoutingHelper'

    Claroline\AgendaBundle\Controller\TaskController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
